//
//  MrzScanner.h
//  HelloCordova
//
//  Created by Vasil Panov on 5/23/19.
//

#ifndef MrzScanner_h
#define MrzScanner_h


#endif /* MrzScanner_h */
#import <MRZScannerSDK/MRZScannerSDK.h>
#import <Cordova/CDV.h>
@interface MrzScanner : CDVPlugin<MRZScannerDelegate>

- (void)startScanner:(CDVInvokedUrlCommand*)command;
- (void)setScannerType:(CDVInvokedUrlCommand*)command;
- (void)resumeScanner:(CDVInvokedUrlCommand*)command;
- (void)closeScanner:(CDVInvokedUrlCommand*)command;
- (void)setMaxThreads:(CDVInvokedUrlCommand*)command;
- (void)getSdkVersion:(CDVInvokedUrlCommand*)command;
- (void)registerWithLicenseKey:(CDVInvokedUrlCommand*)command;
- (void)setNightModeActive:(CDVInvokedUrlCommand*)command;
- (void)scanFromGallery:(CDVInvokedUrlCommand*)command;
- (void)setPassportActive:(CDVInvokedUrlCommand*)command;
- (void)setIDActive:(CDVInvokedUrlCommand*)command;
- (void)setVisaActive:(CDVInvokedUrlCommand*)command;
- (void)setDateFormat:(CDVInvokedUrlCommand*)command;
- (void)setContinuousScanningEnabled:(CDVInvokedUrlCommand*)command;
- (void)setIgnoreDuplicatesEnabled:(CDVInvokedUrlCommand*)command;
- (void)setVibrateOnSuccessfulScan:(CDVInvokedUrlCommand*)command;
- (void)setEffortLevel:(CDVInvokedUrlCommand*)command;
- (void)startScannerWithCustomOverlay:(CDVInvokedUrlCommand*)command;
- (void)toggleFlash:(CDVInvokedUrlCommand*)command;
- (void)setShowCloseButton:(CDVInvokedUrlCommand*)command;
- (void)setShowFlashButton:(CDVInvokedUrlCommand*)command;

@end
