var exec = require('cordova/exec');

module.exports = {

    startScanner: function (success, error) {
        exec(success, error, 'MrzScanner', 'startScanner', null);
    },
    
    startPartialViewScanner: function (arg0, success, error) {
        exec(success, error, 'MrzScanner', 'startPartialViewScanner', arg0);
    },

    setScannerType: function (arg0) {
        exec(null, null, 'MrzScanner', 'setScannerType', [arg0]);
    },

    setMaxThreads: function (arg0) {
        exec(null, null, 'MrzScanner', 'setMaxThreads', [arg0]);
    },

    registerWithLicenseKey: function (arg0, success, error) {
        exec(success, error, 'MrzScanner', 'registerWithLicenseKey', [arg0]);
    },

    resumeScanner: function () {
        exec(null, null, 'MrzScanner', 'resumeScanner', null);
    },

    closeScanner: function () {
        exec(null, null, 'MrzScanner', 'closeScanner', null);
    },

    scanFromGallery: function (success) {
        exec(success, null, 'MrzScanner', 'scanFromGallery', null);
    },

    setDateFormat: function (arg0) {
        exec(null, null, 'MrzScanner', 'setDateFormat', [arg0]);
    },

    setPassportActive: function (arg0) {
        exec(null, null, 'MrzScanner', 'setPassportActive', [arg0]);
    },

    setIDActive: function (arg0) {
        exec(null, null, 'MrzScanner', 'setIDActive', [arg0]);
    },

    setVisaActive: function (arg0) {
        exec(null, null, 'MrzScanner', 'setVisaActive', [arg0]);
    },
    
    setExtractPortraitEnabled: function (arg0) {
        exec(null, null, 'MrzScanner', 'setExtractPortraitEnabled', [arg0]);
    },
    
    setExtractSignatureEnabled: function (arg0) {
        exec(null, null, 'MrzScanner', 'setExtractSignatureEnabled', [arg0]);
    },

    setExtractFullPassportImageEnabled: function (arg0) {
        exec(null, null, 'MrzScanner', 'setExtractFullPassportImageEnabled', [arg0]);
    },

    setExtractIdBackImageEnabled: function (arg0) {
        exec(null, null, 'MrzScanner', 'setExtractIdBackImageEnabled', [arg0]);
    },

    setVibrateOnSuccessfulScan: function (arg0) {
        exec(null, null, 'MrzScanner', 'setVibrateOnSuccessfulScan', [arg0]);
    },
    
    scanBitmap: function (arg0, success) {
        exec(success, null, 'MrzScanner', 'scanBitmap', [arg0]);
    },

    getSdkVersion :function (success) {
        exec(success, null, 'MrzScanner', 'getSdkVersion', null);
    },
    
    setContinuousScanningEnabled: function (arg0) {
        exec(null, null, 'MrzScanner', 'setContinuousScanningEnabled', [arg0]);
    },

    setIgnoreDuplicatesEnabled: function (arg0) {
        exec(null, null, 'MrzScanner', 'setIgnoreDuplicatesEnabled', [arg0]);
    },

    setEffortLevel: function (arg0) {
        exec(null, null, 'MrzScanner', 'setEffortLevel', [arg0]);
    },

    startScannerWithCustomOverlay: function (arg0, success, error) {
        exec(success, error, 'MrzScanner', 'startScannerWithCustomOverlay', [arg0]);
    },

    toggleFlash: function (arg0) {
        exec(null, null, 'MrzScanner', 'toggleFlash', [arg0]);
    },

    setShowCloseButton: function (arg0) {
        exec(null, null, 'MrzScanner', 'setShowCloseButton', [arg0]);
    },

    setShowFlashButton: function (arg0) {
        exec(null, null, 'MrzScanner', 'setShowFlashButton', [arg0]);
    },

}
